import React from 'react';
import type { Props } from '../_utils/types';
import type { SplitViewCardContextAPI, SplitViewCardProps } from './SplitViewCard.types';
export declare const SplitViewCardContext: React.Context<SplitViewCardContextAPI>;
export declare const SplitViewCardContextProvider: ({ children, isInitiallyOpen, onClose, isClosable, }: React.PropsWithChildren<Props & SplitViewCardProps>) => React.JSX.Element;
export declare const useSplitViewCard: () => SplitViewCardContextAPI;
